# Generated from card_game_constantine-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name card_game_constantine

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: A basic random card game exercise
License: MIT
URL: https://pragmaticstudio.com/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
This is a simple card game, inspired by the studio game tutorial done through
the Online Pragmatic Studio course on Ruby by Mike and Nicole.
Basically, three random cards would be assigned to players. 
For each round, each player would be assigned a random card and they can then
use it to attack another player's card. 
At the start of the game, type in how many rounds do you want to play. 
After the rounds, have been completed, you can either continue playing or type
quit to exit.
Upon exiting, the high scores of the players will be printed out. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/card_game
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.0-1
- Initial package
